Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Chatbots

Chatbot flows, publishing and sessions.

List chatbots

GET/chatbots
Scope chatbot:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/chatbots" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a chatbot

POST/chatbots
Scope chatbot:manageWrites data

Request body

FieldType
namerequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/chatbots" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…"}'

Get a chatbot

GET/chatbots/{id}
Scope chatbot:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/chatbots/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a chatbot

PATCH/chatbots/{id}
Scope chatbot:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/chatbots/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete a chatbot

DELETE/chatbots/{id}
Scope chatbot:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/chatbots/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Publish a chatbot

POST/chatbots/{id}/publish
Scope chatbot:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/chatbots/{id}/publish" \  -H "Authorization: Bearer $KLERC_TOKEN"

Unpublish a chatbot

POST/chatbots/{id}/unpublish
Scope chatbot:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/chatbots/{id}/unpublish" \  -H "Authorization: Bearer $KLERC_TOKEN"

List a chatbot's sessions

GET/chatbots/{id}/sessions
Scope chatbot:viewRead-only

Path parameters

NameType
idrequiredstring

Query parameters

NameType
limitnumber
cursorstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/chatbots/{id}/sessions?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"